#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <gtk/gtk.h>
#include <SDL/SDL.h>
#include <SDL/SDL_image.h>
#include "nbtv_format.h"

#include "gui.h"
#include "nbtv_gen.h"
GtkWidget *output_window;
GtkWidget *output_grid;
GtkWidget *output_to_wave;
GtkWidget *output_to_sc;
GtkWidget *output_to_raw;
GtkWidget *bit_depth;
GtkWidget *sample_rate;
GtkWidget *start_stop;
void gui_update_output(){
	if(nbtv_gen){
		gtk_button_set_label(GTK_BUTTON(start_stop), "STOP");
	} else {
		gtk_button_set_label(GTK_BUTTON(start_stop), "START");
	}
}
void start_n(GtkWidget *w, gpointer bla){
	if(nbtv_gen){
		stop_NBTV_gen();
	} else {
		start_NBTV_gen(0, &input, nbtv_fmt);
	}
	gui_update_output();
}

void gui_output_connect_signals(){
	g_signal_connect(output_window, "destroy", G_CALLBACK(destroy));
	g_signal_connect(output_window, "clicked", G_CALLBACK(start_n));
}
void gui_create_output_window(){
	output_window = gtk_window_new(GTK_WINDOW_TOP_LEVEL);
	gtk_window_set_resizable(GTK_WINDOW(output_window), FALSE);
	start_stop = gtk_button_new_with_label("START");
	gtk_container_add(GTK_CONTAINER(output_window), start_stop);
	gui_output_connect_signals();
	gtk_widget_show_all(output_window);
}
